Skip to main content
GET
/
onchain_data
/
base_asset_id
/
{baseAssetId}
/
contract_address
/
{contractAddress}
/
transactions
TypeScript
const response: Promise<FireblocksResponse<OnchainTransactionsPagedResponse>> = fireblocks.onchainData.getOnchainTransactions(onchainDataApiGetOnchainTransactionsRequest);
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "baseAssetId": "ETH_TEST3",
      "blockHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
      "blockNumber": 12345678,
      "blockTimestamp": "2025-01-16T15:45:00Z",
      "chainId": 1,
      "cumulativeGasUsed": "21000",
      "effectiveGasPrice": "20000000000",
      "fromAddress": "0xabcdef1234567890abcdef1234567890abcdef12",
      "gasUsed": "21000",
      "status": "1",
      "transactionHash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
      "transactionIndex": "0",
      "type": "2",
      "contractAddress": "0x1234567890123456789012345678901234567890",
      "decodedLogs": {
        "address": "0x1234567890123456789012345678901234567890",
        "blockHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
        "blockNumber": "12345678",
        "transactionHash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
        "logIndex": "0"
      },
      "toAddress": "0x1234567890123456789012345678901234567890"
    }
  ],
  "next": "MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==",
  "prev": "dGhpcyBpcyBhIHByZXZpb3VzIGN1cnNvcg==",
  "total": 150
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

baseAssetId
string
required

The blockchain base assetId

contractAddress
string
required

The contract address

Query Parameters

startDate
string<date-time>

Start date of the time range in ISO 8601 format

endDate
string<date-time>

End date of the time range in ISO 8601 format

pageCursor
string

Page cursor to get the next page"

pageSize
integer

Number of items per page (max 100), requesting more then 100 will return 100 items

Required range: 1 <= x <= 100
sortBy
enum<string>
default:blockTimestamp

Sorting field (enum).

Available options:
blockTimestamp,
blockNumber,
transactionHash
order
enum<string>
default:DESC

ASC / DESC ordering (default DESC)

Available options:
ASC,
DESC

Response

Onchain transactions fetched successfully

data
object[]
required

Array of onchain transactions

next
string

Cursor for next page

Example:

"MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA=="

prev
string

Cursor for previous page

Example:

"dGhpcyBpcyBhIHByZXZpb3VzIGN1cnNvcg=="

total
number

Total count of items

Example:

150